import { baseRequest } from '@/utils/request'

const request = (url, ...arg) => baseRequest(`/base/productionorganization/` + url, ...arg)

/**
 * 生产组织Api接口管理器
 *
 * @author Luck
 * @date  2024/07/23 15:26
 **/
export default {
	// 获取生产组织分页
	productionOrganizationPage(data) {
		return request('page', data, 'get')
	},
	// 获取生产组织 列表
	productionOrganizationList(data) {
		return request('list', data, 'get')
	},
	// 获取生产组织 树结构
	productionOrganizationTree(data) {
		return request('tree', data, 'get')
	},
	// 提交生产组织表单 edit为true时为编辑，默认为新增
	productionOrganizationSubmitForm(data, edit = false) {
		return request(edit ? 'edit' : 'add', data)
	},
	// 删除生产组织
	productionOrganizationDelete(data) {
		return request('delete', data)
	},
	// 获取生产组织详情
	productionOrganizationDetail(data) {
		return request('detail', data, 'get')
	}
}
